<template>
    <router-link :to="{name: 'FilmsView', params: {id: film.id, index: index}}" class="film">
        <div class="img-h pull-left">
            <img :src="this.$store.state.host + film.cover" alt="" />

            <div class="tags" v-if="film.rating_kinopoisk || film.rating_imdb">
                <div class="tag kp" v-if="film.rating_kinopoisk">KP: {{film.rating_kinopoisk}}</div>
                <div class="tag imbd" v-if="film.rating_imdb">IMBd: {{film.rating_imdb}}</div>
            </div>
            <div class="not-ended" v-if="film.not_ended">
                Досмотреть фильм
            </div>
        </div>
        <div class="now-playing">
            <div class="title">{{film.name}} <span v-if="film.year">({{film.year}})</span></div>
            <div class="genres"> {{film.genres}}</div>
        </div>
    </router-link>
</template>

<script>
    export default {
        props: {
            film: {
                required: true,
                type: Object
            },
            index: {
                type: Number
            }
        },
        name: "ItemFilm"
    }
</script>

<style scoped lang="scss">


    .film {
        display: block;
        width: calc(100%/6 - 20px );
        background: #1b1d28;
        text-align: center;
    }
    .film:hover {
        background: #0c0e19;
    }

    .film .img-h {
        min-width: 100%;
        max-width: 100%;
        margin: 0 0 10px;
        position: relative;
    }

    .tags {
        position: absolute;
        top: 5px;
        right: 5px;
        display: flex;
        align-items: center;
    }

    .tag {
        line-height: 20px;
        padding: 0 8px;
        border-radius: 2px;
        font-size: 12px;
    }
    .tag.kp {
        background-color: #f60;
        color: #fff;
    }
    .tag.imbd {
        background-color: #fc0;
        color: #000000;
        margin-left: 5px;
    }

    .light .film {
        background: #eaeaea;
    }

    .not-ended {
        position: absolute;
        right: 5px;
        top: 30px;
        line-height: 24px;
        font-size: 13px;
        border-radius: 2px;
        padding: 0 8px;
        background: #084882;
        color: #fff;
        display: flex;
        align-items: center;
        justify-content: center;

        &:nth-child(2) {
            top: 5px;
        }
    }

    @media (max-width: 1600px) {
        .film {
            width: calc(100%/5 - 20px );
        }
    }
    @media (max-width: 1340px) {
        .film {
            width: calc(100%/4 - 20px );
        }
    }
    @media (max-width: 1180px) {
        .film {
            padding: 10px;
            width: calc(100%/3 - 20px );
        }
    }
    @media (max-width: 850px) {
        .film {
            margin: 10px !important;
            width: calc(100%/2 - 20px );
        }
    }
    @media (max-width: 460px) {
        .film {
            width: calc(100% - 20px );
        }
    }
</style>
